AnsweredAssumed Answered

Community Edition 4.2 on MS SQL Server 2012

Question asked by manifest0 on Apr 2, 2013
Latest reply on Apr 6, 2018 by anavalente
Hi all,

For the past few weeks on and off I have been attempting to setup Alfresco against a MS SQL DB. I have succeeded in this thanks to <a herf = >this</a> amp file, patching a 4.0 WAR file. However, I'm looking at trying to get it working against v4.2 CE. The same amp file doesn't sufficiently patch the WAR file for 4.2, so I'm looking at converting the DB Create/Upgrade scripts from MySQL to MS SQL using a tool or if necessary, by hand.

So my question is: is converting the create/upgrade scripts between each version sufficient to run Alfresco, or are there other parts of the alfresco installation which frequently change version to version? Is this the best way to go about it? Is it even viable?

Outcomes